REST Resource: selection.v1.projects.selectedRoutes
| Methods | |
|---|---|
batchCreate |
POST /selection/v1/{parent=projects/*}/selectedRoutes:batchCreate Creates multiple SelectedRoute resources and starts a schedule to periodically retrieve cache information for each of the routes. |
batchDelete |
POST /selection/v1/{parent=projects/*}/selectedRoutes:batchDelete Deletes multiple SelectedRoute resources for the specified project. |
batchUpdate |
POST /selection/v1/{parent=projects/*}/selectedRoutes:batchUpdate Updates multiple SelectedRoute resources as specified by their names. |
create |
POST /selection/v1/{parent=projects/*}/selectedRoutes Creates a SelectedRoute and starts a schedule to periodically retrieve cache information for the route. |
delete |
DELETE /selection/v1/{name=projects/*/selectedRoutes/*} Deletes the specified SelectedRoute for the specified project. |
get |
GET /selection/v1/{name=projects/*/selectedRoutes/*} Gets a SelectedRoute as specified by its name. |
list |
GET /selection/v1/{parent=projects/*}/selectedRoutes Lists all SelectedRoute resources for the specified project with pagination. |
patch |
PATCH /selection/v1/{selectedRoute.name=projects/*/selectedRoutes/*} Updates a SelectedRoute as specified by its name. |